Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1874318 - Macaulay2 fails to build on i386 and arm
Summary: Macaulay2 fails to build on i386 and arm
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Macaulay2
Version: 34
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 F-ExcludeArch-ARM
TreeView+ depends on / blocked
 
Reported: 2020-09-01 03:11 UTC by Jerry James
Modified: 2022-06-08 00:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-08 00:41:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jerry James 2020-09-01 03:11:19 UTC
Description of problem:
Macaulay2 began failing to build on i386 around the beginning of 2020, about the time GCC 10 was introduced.  Recently the build began failing on 32-bit ARM as well, with very similar symptoms.  It looks like heap corruption, but I have not yet been able to track down the source of the corruption.  There is a garbage collector at work, which makes debugging difficult.

I am excluding the 32-bit architectures from the build until the cause of the corruption can be determined.

Version-Release number of selected component (if applicable):
Macaulay2-1.16-1.fc34

How reproducible:
Often

Steps to Reproduce:
1. Attempt to build Macaulay2 on i386 or arm
2.
3.

Actual results:
The build usually fails with a segfault.

Expected results:
Successful build.

Additional info:

Comment 1 Ben Cotton 2021-02-09 15:17:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Ben Cotton 2022-05-12 16:25:20 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 3 Ben Cotton 2022-06-08 00:41:31 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.